### Enumeration

# GskPathDirection

since: 4.14

#### Declaration

    enum Gsk.PathDirection

#### Description [src]

The values of the `GskPathDirection` enum are used to pick one of the four tangents at a given point on the path.

Note that the directions for `GSK_PATH_FROM_START`/`GSK_PATH_TO_END` and `GSK_PATH_TO_START`/`GSK_PATH_FROM_END` will coincide for smooth points. Only sharp turns will exhibit four different directions.

Available since: 4.14

#### Members

`GSK_PATH_FROM_START`

  The tangent in path direction of the incoming side of the path.

  - Value: `0`
  - Nickname: `from-start`
  - Available since: 4.14
`GSK_PATH_TO_START`

  The tangent against path direction of the incoming side of the path.

  - Value: `1`
  - Nickname: `to-start`
  - Available since: 4.14
`GSK_PATH_TO_END`

  The tangent in path direction of the outgoing side of the path.

  - Value: `2`
  - Nickname: `to-end`
  - Available since: 4.14
`GSK_PATH_FROM_END`

  The tangent against path direction of the outgoing side of the path.

  - Value: `3`
  - Nickname: `from-end`
  - Available since: 4.14